CVE-2004-0690

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The DCOPServer in KDE 3.2.3 and earlier allows local users to gain unauthorized access via a symlink attack on DCOP files in the /tmp directory.

References

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=261386

http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000864

http://marc.info/?l=bugtraq&m=109225538901170&w=2

http://secunia.com/advisories/12276

http://security.gentoo.org/glsa/glsa-200408-13.xml

http://www.kb.cert.org/vuls/id/330638

http://www.kde.org/info/security/advisory-20040811-2.txt

http://www.mandriva.com/security/advisories?name=MDKSA-2004:086

http://www.securityfocus.com/bid/10924

https://exchange.xforce.ibmcloud.com/vulnerabilities/16962

Details

Source: MITRE

Published: 2004-09-28

Updated: 2017-07-11

Risk Information

CVSS v2

Base Score: 4.6

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 3.9

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:kde:kde:3.2.1:*:*:*:*:*:*:*

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
24307FreeBSD : kdelibs insecure temporary file handling (603fe36d-ec9d-11d8-b913-000c41e2cdad)NessusFreeBSD Local Security Checks
medium
18782Slackware 10.0 / 9.1 / current : kde (SSA:2004-247-01)NessusSlackware Local Security Checks
high
14335Mandrake Linux Security Advisory : kdelibs/kdebase (MDKSA-2004:086)NessusMandriva Local Security Checks
high